Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: Lennart Borgman <[email-masked]>
Date: Mon, 3 Jan 2011 23:04:36 +0100

On Mon, Jan 3, 2011 at 10:30 PM, K. Richard Pixley <[email-masked]> wrote:
> On 20110103 13:02, Lennart Borgman wrote:
>>
> I have no complaint or problem with dimmed or bolded.  Dimmed certainly
> could become illegible if it were sufficiently dim, but it seems to be fine
> in most cases.  Unlike, say, dim yellow text on off white background which
> is essentially invisible.  Or red on green background or yellow on blue, (or
> vice verse), which are completely invisible.
>
> Most programmers aren't color experts.  They just slap up what seem like
> contrasting colors to them without much thought to subjective experience,
> (color blindness, cognitive variance, environmental factors like X11
> themeing), color set themeing, look-and-feel coordination, pleasing
> presentation, etc.
>
> Thunderbird uses color and I find their use of color constructive.
>
> It's low/no contrast color and "bad" use of color to which I object, (and
> 95% of color uses are "bad", ime).
>
> I want the "bad" color to go away.  And that seems to be primarily font-lock
> uses.

Then perhaps the best solution would rather be a color theme adjusted
to your needs? I mean in case that is possible to figure out on a more
general level. Since you say that thunderbird seems to have done that
it looks possible to me.